JBoss API: Class TxInterceptorCMT

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class TxInterceptorCMT

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.AbstractInterceptor
            |
            +--org.jboss.ejb.plugins.TxInterceptorCMT

All Implemented Interfaces:
  ContainerPlugin, Interceptor, Service

public class TxInterceptorCMT
extends AbstractInterceptor

Version:
  $Revision: 1.10.4.2 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Marc Fleury, Sebastien Alborini, Anatoly Akkerman
See Also:

Field Summary
`protected Container` | `container`

Fields inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`log, nextInterceptor`

Constructor Summary
`TxInterceptorCMT()`

Method Summary
`Container` | `getContainer()`
`protected byte` | `getTransactionMethod(java.lang.reflect.Method m, boolean remoteInvocation)`
`void` | `init()`
`java.lang.Object` | `invoke(MethodInvocation mi)` This method does invocation interpositioning of tx management
`java.lang.Object` | `invokeHome(MethodInvocation mi)`
`void` | `setContainer(Container container)` This callback is set by the container so that the plugin may access it

Methods inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`destroy, getNext, setNext, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### container

    protected Container container

Constructor Detail

### TxInterceptorCMT

    public TxInterceptorCMT()

Method Detail

### setContainer

    public void setContainer(Container container)

  Description copied from interface: `ContainerPlugin`
  This callback is set by the container so that the plugin may access it
  Overrides:
    `setContainer` in class `AbstractInterceptor`
  Following copied from interface: `org.jboss.ejb.ContainerPlugin`
  Parameters:
    `con` - the container using this plugin

### getContainer

    public Container getContainer()

  Overrides:
    `getContainer` in class `AbstractInterceptor`

### init

    public void init()
              throws java.lang.Exception

  Overrides:
    `init` in class `AbstractInterceptor`

### invokeHome

    public java.lang.Object invokeHome(MethodInvocation mi)
                                throws java.lang.Exception

  Overrides:
    `invokeHome` in class `AbstractInterceptor`

### invoke

    public java.lang.Object invoke(MethodInvocation mi)
                            throws java.lang.Exception

  This method does invocation interpositioning of tx management
  Overrides:
    `invoke` in class `AbstractInterceptor`
  Parameters:
    `id` -
    `m` -
    `args` -
  Returns:
  Throws:
    `java.lang.Exception` -

### getTransactionMethod

    protected byte getTransactionMethod(java.lang.reflect.Method m,
                                        boolean remoteInvocation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.